write-xml is not using XML-NODE-NAME for the temp-table
Target version:    
Description

Related issues:

Related to Base Language - Feature #3310: add support for the equivalent of t... Closed

History

#1 - 11/02/2021 11:24 AM - Constantin Asofiei

- Subject changed from write-xml is not using XML-NODE-NAME to write-xml is not using XML-NODE-NAME for the temp-table

This test:

@openapi.openedge.export FILE(type="REST", executionMode="external", useReturnValue="false", writeDataSetBefor

eImage="false").

block-level on error undo, throw.

DEFINE TEMP-TABLE ttOrder NO-UNDO

    FIELD orderNum  AS INTEGER

    FIELD orderDate AS DATE

    INDEX pk IS PRIMARY UNIQUE orderNum DESCENDING

    INDEX idxDate              orderDate DESCENDING.

DEFINE TEMP-TABLE ttLine NO-UNDO serialize-name 'OrderLine'

    FIELD orderNum AS INTEGER

    FIELD lineNum  AS INTEGER

    FIELD itemNum  AS INTEGER

    FIELD qty      AS INTEGER SERIALIZE-NAME 'Quantity'

    INDEX pk IS PRIMARY UNIQUE orderNum lineNum.

DEFINE DATASET dsOrder serialize-name 'Orders'

    FOR ttOrder, ttLine

    DATA-RELATION lines FOR ttOrder, ttLine NESTED RELATION-FIELDS (orderNum, orderNum). 

define var numLines        as integer     no-undo init 1.

create ttOrder.

assign 

    ttOrder.orderNum  = 100 * numLines

    ttOrder.orderDate = today.

define variable counter as integer no-undo init 1.

repeat while counter <= numLines:

    create ttLine.

    assign 

        ttLine.orderNum = ttOrder.orderNum

        ttLine.lineNum  = counter

        ttLine.itemNum  = random (10000, 50000)

        ttLine.qty      = random (1, 100).

    counter = counter + 1.

end.
dataset dsorder:write-xml("file", "dso.xml", true).

must produce this xml:

<?xml version="1.0"?>

<Orders xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <ttOrder>

    <orderNum>100</orderNum>

    <orderDate>2021-11-02</orderDate>

    <OrderLine>

      <orderNum>100</orderNum>

      <lineNum>1</lineNum>

      <itemNum>16967</itemNum>

      <Quantity>70</Quantity>

    </OrderLine>

  </ttOrder>

</Orders>

while FWD produces this:

         <Orders>

            <ttOrder>

               <orderNum>100</orderNum>

               <orderDate>2021-11-02</orderDate>

               <ttLine>

                  <orderNum>100</orderNum>

                  <lineNum>1</lineNum>

                  <itemNum>22422</itemNum>

                  <Quantity>37</Quantity>

               </ttLine>

            </ttOrder>

         </Orders>
#2 - 11/02/2021 11:24 AM - Constantin Asofiei

- Related to Feature #3310: add support for the equivalent of the OpenEdge Web Services Adapter (and ProxyGen) and PASOE SOAP transport

added

#3 - 11/02/2021 07:03 PM - Ovidiu Maxiniuc

- % Done changed from 0 to 100

- Start date deleted (11/02/2021)

- Assignee set to Ovidiu Maxiniuc

- Status changed from New to Feedback

The issue was fixed and revision in 13126.
